searchData={"items":[{"type":"module","title":"WorkOS","doc":"Documentation for `WorkOS`.","ref":"WorkOS.html"},{"type":"function","title":"WorkOS.api_key/0","doc":"Retrieves the WorkOS API key from application config.","ref":"WorkOS.html#api_key/0"},{"type":"function","title":"WorkOS.api_key/1","doc":"","ref":"WorkOS.html#api_key/1"},{"type":"function","title":"WorkOS.base_url/0","doc":"Retrieves the WorkOS base URL from application config.","ref":"WorkOS.html#base_url/0"},{"type":"function","title":"WorkOS.client/1","doc":"Returns a WorkOS client.\n\nAccepts a keyword list of config opts, though if omitted then it will attempt to load\nthem from the application environment.","ref":"WorkOS.html#client/1"},{"type":"function","title":"WorkOS.client_id/0","doc":"Retrieves the WorkOS client ID from application config.","ref":"WorkOS.html#client_id/0"},{"type":"function","title":"WorkOS.client_id/1","doc":"","ref":"WorkOS.html#client_id/1"},{"type":"function","title":"WorkOS.config/0","doc":"Loads config values from the application environment.\n\nConfig options are as follows:\n\n```ex\nconfig :workos, WorkOS.Client\n  api_key: \"sk_123\",\n  client_id: \"project_123\",\n  base_url: \"https://api.workos.com\",\n  client: WorkOs.Client.TeslaClient\n```\n\nThe only required config option is `:api_key` and `:client_id`. If you would like to replace the\nHTTP client used by WorkOS, configure the `:client` option. By default, this library\nuses [Tesla](https://github.com/elixir-tesla/tesla), but changing it is as easy as\ndefining your own client module. See the `WorkOS.Client` module docs for more info.","ref":"WorkOS.html#config/0"},{"type":"function","title":"WorkOS.default_base_url/0","doc":"Defines the WorkOS base API URL","ref":"WorkOS.html#default_base_url/0"},{"type":"type","title":"WorkOS.config/0","doc":"","ref":"WorkOS.html#t:config/0"},{"type":"module","title":"WorkOS.MFA","doc":"This module is deprecated.","ref":"WorkOS.MFA.html"},{"type":"function","title":"WorkOS.MFA.challenge_factor/2","doc":"Creates a Challenge for an Authentication Factor.\n\nParameter options:\n\n  * `:authentication_factor_id` - The ID of the Authentication Factor. (required)\n  * `:sms_template` - A valid phone number for an SMS-enabled device. Required when type is sms.","ref":"WorkOS.MFA.html#challenge_factor/2"},{"type":"function","title":"WorkOS.MFA.delete_factor/2","doc":"Deletes an Authentication Factor.","ref":"WorkOS.MFA.html#delete_factor/2"},{"type":"function","title":"WorkOS.MFA.enroll_factor/2","doc":"Enrolls an Authentication Factor.\n\nParameter options:\n\n  * `:type` - The type of the factor to enroll. Only option available is `totp`. (required)\n  * `:totp_issuer` - For `totp` factors. Typically your application or company name, this helps users distinguish between factors in authenticator apps.\n  * `:totp_user` - For `totp` factors. Used as the account name in authenticator apps. Defaults to the user's email.\n  * `:phone_number` - A valid phone number for an SMS-enabled device. Required when type is sms.","ref":"WorkOS.MFA.html#enroll_factor/2"},{"type":"function","title":"WorkOS.MFA.get_factor/2","doc":"Gets an Authentication Factor.","ref":"WorkOS.MFA.html#get_factor/2"},{"type":"function","title":"WorkOS.MFA.verify_challenge/3","doc":"Verifies Authentication Challenge.\n\nParameter options:\n\n  * `:code` - The 6 digit code to be verified. (required)","ref":"WorkOS.MFA.html#verify_challenge/3"},{"type":"module","title":"WorkOS.MFA.AuthenticationChallenge","doc":"This response struct is deprecated. Use the User Management Multi-Factor API instead.","ref":"WorkOS.MFA.AuthenticationChallenge.html"},{"type":"type","title":"WorkOS.MFA.AuthenticationChallenge.t/0","doc":"","ref":"WorkOS.MFA.AuthenticationChallenge.html#t:t/0"},{"type":"module","title":"WorkOS.MFA.AuthenticationFactor","doc":"This response struct is deprecated. Use the User Management Multi-Factor API instead.","ref":"WorkOS.MFA.AuthenticationFactor.html"},{"type":"type","title":"WorkOS.MFA.AuthenticationFactor.t/0","doc":"","ref":"WorkOS.MFA.AuthenticationFactor.html#t:t/0"},{"type":"module","title":"WorkOS.MFA.SMS","doc":"This response struct is deprecated. Use the User Management Multi-Factor API instead.","ref":"WorkOS.MFA.SMS.html"},{"type":"type","title":"WorkOS.MFA.SMS.t/0","doc":"","ref":"WorkOS.MFA.SMS.html#t:t/0"},{"type":"module","title":"WorkOS.MFA.TOTP","doc":"This response struct is deprecated. Use the User Management Multi-Factor API instead.","ref":"WorkOS.MFA.TOTP.html"},{"type":"type","title":"WorkOS.MFA.TOTP.t/0","doc":"","ref":"WorkOS.MFA.TOTP.html#t:t/0"},{"type":"module","title":"WorkOS.MFA.VerifyChallenge","doc":"This response struct is deprecated. Use the User Management Multi-Factor API instead.","ref":"WorkOS.MFA.VerifyChallenge.html"},{"type":"type","title":"WorkOS.MFA.VerifyChallenge.t/0","doc":"","ref":"WorkOS.MFA.VerifyChallenge.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.User","doc":"WorkOS User struct.","ref":"WorkOS.UserManagement.User.html"},{"type":"type","title":"WorkOS.UserManagement.User.t/0","doc":"","ref":"WorkOS.UserManagement.User.html#t:t/0"},{"type":"module","title":"WorkOS.AuditLogs","doc":"Manage Audit Logs in WorkOS.\n\n@see https://workos.com/docs/reference/audit-logs","ref":"WorkOS.AuditLogs.html"},{"type":"function","title":"WorkOS.AuditLogs.create_event/2","doc":"Creates an Audit Log Event.\n\nParameter options:\n\n  * `:organization_id` - The unique ID of the Organization. (required)\n  * `:event` - The Audit Log Event to be created. (required)\n  * `:idempotency_key` - A unique string as the value. Each subsequent request matching this unique string will return the same response.","ref":"WorkOS.AuditLogs.html#create_event/2"},{"type":"function","title":"WorkOS.AuditLogs.create_export/2","doc":"Creates an Audit Log Export.\n\nParameter options:\n\n  * `:organization_id` - The unique ID of the Organization. (required)\n  * `:range_start` - ISO-8601 value for start of the export range. (required)\n  * `:range_end` - ISO-8601 value for end of the export range. (required)\n  * `:actions` - List of actions to filter against.\n  * `:actors` - List of actor names to filter against.\n  * `:targets` - List of target types to filter against.","ref":"WorkOS.AuditLogs.html#create_export/2"},{"type":"function","title":"WorkOS.AuditLogs.get_export/2","doc":"Gets an Audit Log Export given an ID.","ref":"WorkOS.AuditLogs.html#get_export/2"},{"type":"module","title":"WorkOS.DirectorySync","doc":"Manage Directory Sync in WorkOS.\n\n@see https://workos.com/docs/reference/directory-sync","ref":"WorkOS.DirectorySync.html"},{"type":"function","title":"WorkOS.DirectorySync.delete_directory/2","doc":"Deletes a directory.","ref":"WorkOS.DirectorySync.html#delete_directory/2"},{"type":"function","title":"WorkOS.DirectorySync.get_directory/2","doc":"Gets a directory given an ID.","ref":"WorkOS.DirectorySync.html#get_directory/2"},{"type":"function","title":"WorkOS.DirectorySync.get_group/2","doc":"Gets a directory group given an ID.","ref":"WorkOS.DirectorySync.html#get_group/2"},{"type":"function","title":"WorkOS.DirectorySync.get_user/2","doc":"Gets a directory user given an ID.","ref":"WorkOS.DirectorySync.html#get_user/2"},{"type":"function","title":"WorkOS.DirectorySync.list_directories/1","doc":"","ref":"WorkOS.DirectorySync.html#list_directories/1"},{"type":"function","title":"WorkOS.DirectorySync.list_directories/2","doc":"Lists all directories.\n\nParameter options:\n\n  * `:domain` - The domain of a Directory.\n  * `:organization_id` - Filter Directories by their associated organization.\n  * `:search` - Searchable text to match against Directory names.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.DirectorySync.html#list_directories/2"},{"type":"function","title":"WorkOS.DirectorySync.list_groups/1","doc":"","ref":"WorkOS.DirectorySync.html#list_groups/1"},{"type":"function","title":"WorkOS.DirectorySync.list_groups/2","doc":"Lists all directory groups.\n\nParameter options:\n\n  * `:directory` - Unique identifier of the WorkOS Directory.\n  * `:user` - Unique identifier of the WorkOS Directory User.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.DirectorySync.html#list_groups/2"},{"type":"function","title":"WorkOS.DirectorySync.list_users/1","doc":"","ref":"WorkOS.DirectorySync.html#list_users/1"},{"type":"function","title":"WorkOS.DirectorySync.list_users/2","doc":"Lists all directory users.\n\nParameter options:\n\n  * `:directory` - Unique identifier of the WorkOS Directory.\n  * `:group` - Unique identifier of the WorkOS Directory Group.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.DirectorySync.html#list_users/2"},{"type":"module","title":"WorkOS.Events","doc":"Manage Events API in WorkOS.\n\n@see https://workos.com/docs/events","ref":"WorkOS.Events.html"},{"type":"function","title":"WorkOS.Events.list_events/1","doc":"","ref":"WorkOS.Events.html#list_events/1"},{"type":"function","title":"WorkOS.Events.list_events/2","doc":"Lists all events.\n\nParameter options:\n\n  * `:events` - Filter to only return events of particular types.\n  * `:range_start` - Date range start for stream of events.\n  * `:range_end` - Date range end for stream of events.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.","ref":"WorkOS.Events.html#list_events/2"},{"type":"module","title":"WorkOS.OrganizationDomains","doc":"Manage Organization Domains in WorkOS.\n\n@see https://workos.com/docs/reference/domain-verification","ref":"WorkOS.OrganizationDomains.html"},{"type":"function","title":"WorkOS.OrganizationDomains.create_organization_domain/2","doc":"Creates an organization domain.\n\nParameter options:\n\n  * `:organization_id` - ID of the parent Organization. (required)\n  * `:domain` - Domain for the Organization Domain. (required)","ref":"WorkOS.OrganizationDomains.html#create_organization_domain/2"},{"type":"function","title":"WorkOS.OrganizationDomains.get_organization_domain/2","doc":"Gets an organization domain given an ID.","ref":"WorkOS.OrganizationDomains.html#get_organization_domain/2"},{"type":"function","title":"WorkOS.OrganizationDomains.verify_organization_domain/2","doc":"Verifies an organization domain","ref":"WorkOS.OrganizationDomains.html#verify_organization_domain/2"},{"type":"module","title":"WorkOS.Organizations","doc":"Manage Organizations in WorkOS.\n\n@see https://workos.com/docs/reference/organization","ref":"WorkOS.Organizations.html"},{"type":"function","title":"WorkOS.Organizations.create_organization/2","doc":"Creates an organization.\n\nParameter options:\n\n  * `:name` - A descriptive name for the Organization. This field does not need to be unique. (required)\n  * `:domains` - The domains of the Organization.\n  * `:allow_profiles_outside_organization` - Whether the Connections within this Organization should allow Profiles that do not have a domain that is present in the set of the Organization’s User Email Domains.\n  * `:idempotency_key` - A unique string as the value. Each subsequent request matching this unique string will return the same response.","ref":"WorkOS.Organizations.html#create_organization/2"},{"type":"function","title":"WorkOS.Organizations.delete_organization/2","doc":"Deletes an organization.","ref":"WorkOS.Organizations.html#delete_organization/2"},{"type":"function","title":"WorkOS.Organizations.get_organization/2","doc":"Gets an organization given an ID.","ref":"WorkOS.Organizations.html#get_organization/2"},{"type":"function","title":"WorkOS.Organizations.list_organizations/1","doc":"","ref":"WorkOS.Organizations.html#list_organizations/1"},{"type":"function","title":"WorkOS.Organizations.list_organizations/2","doc":"Lists all organizations.\n\nParameter options:\n\n  * `:domains` - The domains of an Organization. Any Organization with a matching domain will be returned.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.Organizations.html#list_organizations/2"},{"type":"function","title":"WorkOS.Organizations.update_organization/3","doc":"Updates an organization.\n\nParameter options:\n\n  * `:organization` - Unique identifier of the Organization. (required)\n  * `:name` - A descriptive name for the Organization. This field does not need to be unique. (required)\n  * `:domains` - The domains of the Organization.\n  * `:allow_profiles_outside_organization` - Whether the Connections within this Organization should allow Profiles that do not have a domain that is present in the set of the Organization’s User Email Domains.","ref":"WorkOS.Organizations.html#update_organization/3"},{"type":"module","title":"WorkOS.Passwordless","doc":"Manage Magic Link API in WorkOS.\n\n@see https://workos.com/docs/reference/magic-link","ref":"WorkOS.Passwordless.html"},{"type":"function","title":"WorkOS.Passwordless.create_session/2","doc":"Creates a Passwordless Session for a Magic Link Connection\n\nParameter options:\n\n  * `:type` - The type of Passwordless Session to create. Currently, the only supported value is `MagicLink`. (required)\n  * `:email` - The email of the user to authenticate. (required)\n  * `:redirect_uri` - Optional parameter that a developer can choose to include in their authorization URL.\n  * `:expires_in` - The number of seconds the Passwordless Session should live before expiring.\n  * `:state` - Optional parameter that a developer can choose to include in their authorization URL.","ref":"WorkOS.Passwordless.html#create_session/2"},{"type":"function","title":"WorkOS.Passwordless.send_session/2","doc":"Emails a user the Magic Link confirmation URL, given a Passwordless session ID.","ref":"WorkOS.Passwordless.html#send_session/2"},{"type":"module","title":"WorkOS.Portal","doc":"Manage Portal in WorkOS.\n\n@see https://workos.com/docs/reference/admin-portal","ref":"WorkOS.Portal.html"},{"type":"function","title":"WorkOS.Portal.generate_link/2","doc":"Generates a Portal Link\n\nParameter options:\n\n  * `:organization` - An Organization identifier. (required)\n  * `:intent` - The intent of the Admin Portal. (required)\n  * `:return_url` - The URL to which WorkOS should send users when they click on the link to return to your website.\n  * `:success_url` - The URL to which WorkOS will redirect users to upon successfully setting up Single Sign-On or Directory Sync.","ref":"WorkOS.Portal.html#generate_link/2"},{"type":"module","title":"WorkOS.SSO","doc":"Manage Single Sign-On (SSO) in WorkOS.\n\n@see https://docs.workos.com/sso/overview","ref":"WorkOS.SSO.html"},{"type":"function","title":"WorkOS.SSO.delete_connection/2","doc":"Deletes a connection.","ref":"WorkOS.SSO.html#delete_connection/2"},{"type":"function","title":"WorkOS.SSO.get_authorization_url/1","doc":"Generates an OAuth 2.0 authorization URL.\n\nParameter options:\n\n  * `:organization` - The organization connection selector is used to initiate SSO for an Organization.\n  * `:connection` - The connection connection selector is used to initiate SSO for a Connection.\n  * `:redirect_uri` - A Redirect URI to return an authorized user to. (required)\n  * `:client_id` - This value can be obtained from the SSO Configuration page in the WorkOS dashboard.\n  * `:provider` - The provider connection selector is used to initiate SSO using an OAuth provider.\n  * `:state` - An optional parameter that can be used to encode arbitrary information to help restore application state between redirects.\n  * `:login_hint` - Can be used to pre-fill the username/email address field of the IdP sign-in page for the user, if you know their username ahead of time.\n  * `:domain_hint` - Can be used to pre-fill the domain field when initiating authentication with Microsoft OAuth, or with a GoogleSAML connection type.","ref":"WorkOS.SSO.html#get_authorization_url/1"},{"type":"function","title":"WorkOS.SSO.get_connection/2","doc":"Gets a connection given an ID.","ref":"WorkOS.SSO.html#get_connection/2"},{"type":"function","title":"WorkOS.SSO.get_profile/2","doc":"Gets a profile given an access token.","ref":"WorkOS.SSO.html#get_profile/2"},{"type":"function","title":"WorkOS.SSO.get_profile_and_token/2","doc":"Gets an access token along with the user `Profile`.\n\nParameter options:\n\n  * `:code` - The authorization value which was passed back as a query parameter in the callback to the Redirect URI. (required)","ref":"WorkOS.SSO.html#get_profile_and_token/2"},{"type":"function","title":"WorkOS.SSO.list_connections/1","doc":"","ref":"WorkOS.SSO.html#list_connections/1"},{"type":"function","title":"WorkOS.SSO.list_connections/2","doc":"Lists all connections.\n\nParameter options:\n\n  * `:connection_type` - Filter Connections by their type.\n  * `:organization_id` - Filter Connections by their associated organization.\n  * `:domain` - Filter Connections by their associated domain.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.SSO.html#list_connections/2"},{"type":"module","title":"WorkOS.UserManagement","doc":"Manage User Management in WorkOS.\n\n@see https://workos.com/docs/reference/user-management","ref":"WorkOS.UserManagement.html"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_code/2","doc":"Authenticates an OAuth or SSO User.\n\nParameter options:\n\n  * `:code` - The authorization value which was passed back as a query parameter in the callback to the Redirect URI. (required)\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_code/2"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_email_verification/2","doc":"Authenticates with Email Verification Code\n\nParameter options:\n\n  * `:code` - The one-time code that was emailed to the user. (required)\n  * `:pending_authentication_code` - The pending_authentication_token returned from an authentication attempt due to an unverified email address. (required)\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_email_verification/2"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_magic_auth/2","doc":"Authenticates with Magic Auth.\n\nParameter options:\n\n  * `:code` - The one-time code that was emailed to the user. (required)\n  * `:email` - The email the User who will be authenticated. (required)\n  * `:link_authorization_code` - An authorization code used in a previous authenticate request that resulted in an existing user error response.\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_magic_auth/2"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_password/2","doc":"Authenticates a user with password.\n\nParameter options:\n\n  * `:email` - The email address of the user. (required)\n  * `:password` - The password of the user. (required)\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_password/2"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_selected_organization/2","doc":"Authenticates with Selected Organization\n\nParameter options:\n\n  * `:pending_authentication_code` - The token returned from a failed authentication attempt due to organization selection being required. (required)\n  * `:organization_id` - The Organization ID the user selected. (required)\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_selected_organization/2"},{"type":"function","title":"WorkOS.UserManagement.authenticate_with_totp/2","doc":"Authenticates with MFA TOTP\n\nParameter options:\n\n  * `:code` - The time-based-one-time-password generated by the Factor that was challenged. (required)\n  * `:authentication_challenge_id` - The unique ID of the authentication Challenge created for the TOTP Factor for which the user is enrolled. (required)\n  * `:pending_authentication_code` - The token returned from a failed authentication attempt due to MFA challenge. (required)\n  * `:ip_address` - The IP address of the request from the user who is attempting to authenticate.\n  * `:user_agent` - The user agent of the request from the user who is attempting to authenticate. This should be the value of the User-Agent header.","ref":"WorkOS.UserManagement.html#authenticate_with_totp/2"},{"type":"function","title":"WorkOS.UserManagement.create_organization_membership/2","doc":"Creates an organization membership.\n\nParameter options:\n\n  * `:user_id` - The ID of the User. (required)\n  * `:organization_id` - The ID of the Organization to which the user belongs to. (required)","ref":"WorkOS.UserManagement.html#create_organization_membership/2"},{"type":"function","title":"WorkOS.UserManagement.create_user/2","doc":"Creates a user.\n\nParameter options:\n\n  * `:email` - The email address of the user. (required)\n  * `:domains` - The password to set for the user.\n  * `:first_name` - The user's first name.\n  * `:last_name` - The user's last name.\n  * `:email_verified` - Whether the user's email address was previously verified.","ref":"WorkOS.UserManagement.html#create_user/2"},{"type":"function","title":"WorkOS.UserManagement.delete_organization_membership/2","doc":"Deletes an organization membership.","ref":"WorkOS.UserManagement.html#delete_organization_membership/2"},{"type":"function","title":"WorkOS.UserManagement.delete_user/2","doc":"Deletes a user.","ref":"WorkOS.UserManagement.html#delete_user/2"},{"type":"function","title":"WorkOS.UserManagement.enroll_auth_factor/3","doc":"Enrolls a user in a new Factor.\n\nParameter options:\n\n  * `:type` - The type of the factor to enroll. Only option available is `totp`. (required)\n  * `:totp_issuer` - For `totp` factors. Typically your application or company name, this helps users distinguish between factors in authenticator apps.\n  * `:totp_user` - For `totp` factors. Used as the account name in authenticator apps. Defaults to the user's email.","ref":"WorkOS.UserManagement.html#enroll_auth_factor/3"},{"type":"function","title":"WorkOS.UserManagement.get_authorization_url/1","doc":"Generates an OAuth 2.0 authorization URL.\n\nParameter options:\n\n  * `:organization_id` - The `organization_id` connection selector is used to initiate SSO for an Organization.\n  * `:connection_id` - The `connection_id` connection selector is used to initiate SSO for a Connection.\n  * `:redirect_uri` - A Redirect URI to return an authorized user to. (required)\n  * `:client_id` - This value can be obtained from the SSO Configuration page in the WorkOS dashboard.\n  * `:provider` - The `provider` connection selector is used to initiate SSO using an OAuth-compatible provider.\n  * `:state` - An optional parameter that can be used to encode arbitrary information to help restore application state between redirects.\n  * `:login_hint` - Can be used to pre-fill the username/email address field of the IdP sign-in page for the user, if you know their username ahead of time.\n  * `:domain_hint` - Can be used to pre-fill the domain field when initiating authentication with Microsoft OAuth, or with a GoogleSAML connection type.","ref":"WorkOS.UserManagement.html#get_authorization_url/1"},{"type":"function","title":"WorkOS.UserManagement.get_invitation/2","doc":"Gets an invitation.","ref":"WorkOS.UserManagement.html#get_invitation/2"},{"type":"function","title":"WorkOS.UserManagement.get_organization_membership/2","doc":"Gets an organization membership.","ref":"WorkOS.UserManagement.html#get_organization_membership/2"},{"type":"function","title":"WorkOS.UserManagement.get_user/2","doc":"Gets a user.","ref":"WorkOS.UserManagement.html#get_user/2"},{"type":"function","title":"WorkOS.UserManagement.list_auth_factors/2","doc":"Lists all auth factors of a user.","ref":"WorkOS.UserManagement.html#list_auth_factors/2"},{"type":"function","title":"WorkOS.UserManagement.list_invitations/1","doc":"","ref":"WorkOS.UserManagement.html#list_invitations/1"},{"type":"function","title":"WorkOS.UserManagement.list_invitations/2","doc":"Lists all invitations.\n\nParameter options:\n\n  * `:email` - The email address of a recipient.\n  * `:organization_id` - The ID of the Organization that the recipient was invited to join.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.UserManagement.html#list_invitations/2"},{"type":"function","title":"WorkOS.UserManagement.list_organization_memberships/1","doc":"","ref":"WorkOS.UserManagement.html#list_organization_memberships/1"},{"type":"function","title":"WorkOS.UserManagement.list_organization_memberships/2","doc":"Lists all organization memberships.\n\nParameter options:\n\n  * `:user_id` - The ID of the User.\n  * `:organization_id` - The ID of the Organization to which the user belongs to.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.UserManagement.html#list_organization_memberships/2"},{"type":"function","title":"WorkOS.UserManagement.list_users/1","doc":"","ref":"WorkOS.UserManagement.html#list_users/1"},{"type":"function","title":"WorkOS.UserManagement.list_users/2","doc":"Lists all users.\n\nParameter options:\n\n  * `:email` - Filter Users by their email.\n  * `:organization_id` - Filter Users by the organization they are members of.\n  * `:limit` - Maximum number of records to return. Accepts values between 1 and 100. Default is 10.\n  * `:after` - Pagination cursor to receive records after a provided event ID.\n  * `:before` - An object ID that defines your place in the list. When the ID is not present, you are at the end of the list.\n  * `:order` - Order the results by the creation time. Supported values are \"asc\" and \"desc\" for showing older and newer records first respectively.","ref":"WorkOS.UserManagement.html#list_users/2"},{"type":"function","title":"WorkOS.UserManagement.reset_password/2","doc":"Resets password.\n\nParameter options:\n\n  * `:token` - The reset token emailed to the user. (required)\n  * `:new_password` - The new password to be set for the user. (required)","ref":"WorkOS.UserManagement.html#reset_password/2"},{"type":"function","title":"WorkOS.UserManagement.revoke_invitation/2","doc":"Revokes an invitation.","ref":"WorkOS.UserManagement.html#revoke_invitation/2"},{"type":"function","title":"WorkOS.UserManagement.send_invitation/2","doc":"Sends an invitation.\n\nParameter options:\n\n  * `:email` - The email address of the recipient. (required)\n  * `:organization_id` - The ID of the Organization to which the recipient is being invited.\n  * `:expires_in_days` - The number of days the invitations will be valid for.\n  * `:inviter_user_id` - The ID of the User sending the invitation.","ref":"WorkOS.UserManagement.html#send_invitation/2"},{"type":"function","title":"WorkOS.UserManagement.send_magic_auth_code/2","doc":"Creates a one-time Magic Auth code.\n\nParameter options:\n\n  * `:email` - The email address the one-time code will be sent to. (required)","ref":"WorkOS.UserManagement.html#send_magic_auth_code/2"},{"type":"function","title":"WorkOS.UserManagement.send_password_reset_email/2","doc":"Sends a password reset email to a user.\n\nParameter options:\n\n  * `:email` - The email of the user that wishes to reset their password. (required)\n  * `:password_reset_url` - The password to set for the user. (required)","ref":"WorkOS.UserManagement.html#send_password_reset_email/2"},{"type":"function","title":"WorkOS.UserManagement.send_verification_email/2","doc":"Sends verification email.","ref":"WorkOS.UserManagement.html#send_verification_email/2"},{"type":"function","title":"WorkOS.UserManagement.update_user/3","doc":"Updates a user.\n\nParameter options:\n\n  * `:first_name` - The user's first name.\n  * `:last_name` - The user's last name.\n  * `:email_verified` - Whether the user's email address was previously verified.\n  * `:password` - The password to set for the user.\n  * `:password_hash` - The hashed password to set for the user, used when migrating from another user store. Mutually exclusive with password.\n  * `:password_hash_type` - The algorithm originally used to hash the password, used when providing a password_hash. Valid values are `bcrypt`.","ref":"WorkOS.UserManagement.html#update_user/3"},{"type":"function","title":"WorkOS.UserManagement.verify_email/3","doc":"Verifies user email.\n\nParameter options:\n\n  * `:code` - The one-time code emailed to the user. (required)","ref":"WorkOS.UserManagement.html#verify_email/3"},{"type":"module","title":"WorkOS.Webhooks","doc":"Manage timestamp and signature validation of Webhooks in WorkOS.\n\nSee https://workos.com/docs/webhooks","ref":"WorkOS.Webhooks.html"},{"type":"function","title":"WorkOS.Webhooks.construct_event/4","doc":"Verify webhook payload and return an event.\n\n`payload` is the raw, unparsed content body sent by WorkOS, which can be\nretrieved with `Plug.Conn.read_body/2`, Note that `Plug.Parsers` will read\nand discard the body, so you must implement a [custom body reader][1] if the\nplug is located earlier in the pipeline.\n\n`sigHeader` is the value of `workos-signature` header, which can be fetched\nwith `Plug.Conn.get_req_header/2`, i.e. `Plug.Conn.get_req_header(conn, \"workos-signature\")`.\n\n`secret` is your webhook endpoint's secret from the WorkOS Dashboard.\n\n`tolerance` is the allowed deviation in seconds from the current system time\nto the timestamp found in `signature`. Defaults to 180 seconds (3 minutes).\n\nWorkOS API reference:\nhttps://workos.com/docs/webhooks/securing-your-webhook-endpoint/validating-events-are-from-workos\n\n[1]: https://hexdocs.pm/plug/Plug.Parsers.html#module-custom-body-reader","ref":"WorkOS.Webhooks.html#construct_event/4"},{"type":"function","title":"Example plug in your consuming application which places the constructed - WorkOS.Webhooks.construct_event/4","doc":"event in the conn assigns\n\ndefmodule MyAppWeb.WorkOSWebhooksPlug do\n  @behaviour Plug\n\n  alias Plug.Conn\n\n  def init(config), do: config\n\n  # Match on any requests from workos, i.e. the Endpoint URL configured in\n  # the WorkOS Dashboard, adjust @request_path as appropriate\n  @request_path \"/webhooks/workos\"\n  def call(%{request_path: @request_path} = conn, _) do\n    signing_secret = Application.get_env(:workos, :webhook_signing_secret)\n    [worksos_signature] = Conn.get_req_header(conn, \"workos-signature\")\n\n    with {:ok, body, _} <- Conn.read_body(conn),\n         {:ok, workos_event} <-\n           WorkOS.Webhooks.construct_event(body, worksos_signature, signing_secret) do\n      Conn.assign(conn, :workos_event, workos_event)\n    else\n      {:error, error} ->\n        conn\n        |> Conn.send_resp(:bad_request, error.message)\n        |> Conn.halt()\n    end\n  end\n\n  def call(conn, _), do: conn\nend\n\nAs per the aforementioned note about `Plug.Parsers` the above plug would need to\nprecede these in Endpoint.ex ... i.e.\n\ndefmodule MyAppWeb.Endpoint do\n  ...\n  ...\n\n  plug Plug.Telemetry, event_prefix: [:phoenix, :endpoint]\n\n  plug MyAppWeb.WorkOSWebhooksPlug\n\n  plug Plug.Parsers,\n  parsers: [:urlencoded, :multipart, :json],\n  pass: [\"*/*\"],\n  json_decoder: Phoenix.json_library()\n  ...\n  ...","ref":"WorkOS.Webhooks.html#construct_event/4-example-plug-in-your-consuming-application-which-places-the-constructed"},{"type":"module","title":"WorkOS.AuditLogs.Export","doc":"WorkOS Audit Logs Export struct.","ref":"WorkOS.AuditLogs.Export.html"},{"type":"type","title":"WorkOS.AuditLogs.Export.t/0","doc":"","ref":"WorkOS.AuditLogs.Export.html#t:t/0"},{"type":"module","title":"WorkOS.DirectorySync.Directory","doc":"WorkOS Directory struct.","ref":"WorkOS.DirectorySync.Directory.html"},{"type":"type","title":"WorkOS.DirectorySync.Directory.t/0","doc":"","ref":"WorkOS.DirectorySync.Directory.html#t:t/0"},{"type":"module","title":"WorkOS.DirectorySync.Directory.Group","doc":"WorkOS Directory Group struct.","ref":"WorkOS.DirectorySync.Directory.Group.html"},{"type":"type","title":"WorkOS.DirectorySync.Directory.Group.t/0","doc":"","ref":"WorkOS.DirectorySync.Directory.Group.html#t:t/0"},{"type":"module","title":"WorkOS.DirectorySync.Directory.User","doc":"WorkOS Directory User struct.","ref":"WorkOS.DirectorySync.Directory.User.html"},{"type":"type","title":"WorkOS.DirectorySync.Directory.User.t/0","doc":"","ref":"WorkOS.DirectorySync.Directory.User.html#t:t/0"},{"type":"module","title":"WorkOS.Empty","doc":"Empty response.","ref":"WorkOS.Empty.html"},{"type":"function","title":"WorkOS.Empty.cast/2","doc":"","ref":"WorkOS.Empty.html#cast/2"},{"type":"type","title":"WorkOS.Empty.t/0","doc":"","ref":"WorkOS.Empty.html#t:t/0"},{"type":"module","title":"WorkOS.Error","doc":"Castable module for returning structured errors from the WorkOS API.","ref":"WorkOS.Error.html"},{"type":"type","title":"WorkOS.Error.t/0","doc":"","ref":"WorkOS.Error.html#t:t/0"},{"type":"type","title":"WorkOS.Error.unprocessable_entity_error/0","doc":"","ref":"WorkOS.Error.html#t:unprocessable_entity_error/0"},{"type":"module","title":"WorkOS.Events.Event","doc":"WorkOS Event struct.","ref":"WorkOS.Events.Event.html"},{"type":"type","title":"WorkOS.Events.Event.t/0","doc":"","ref":"WorkOS.Events.Event.html#t:t/0"},{"type":"module","title":"WorkOS.List","doc":"Casts a response to a `%WorkOS.List{}` of structs.","ref":"WorkOS.List.html"},{"type":"function","title":"WorkOS.List.of/1","doc":"","ref":"WorkOS.List.html#of/1"},{"type":"type","title":"WorkOS.List.t/1","doc":"","ref":"WorkOS.List.html#t:t/1"},{"type":"module","title":"WorkOS.OrganizationDomains.OrganizationDomain","doc":"WorkOS Organization Domain struct.","ref":"WorkOS.OrganizationDomains.OrganizationDomain.html"},{"type":"type","title":"WorkOS.OrganizationDomains.OrganizationDomain.t/0","doc":"","ref":"WorkOS.OrganizationDomains.OrganizationDomain.html#t:t/0"},{"type":"module","title":"WorkOS.Organizations.Organization","doc":"WorkOS Organization struct.","ref":"WorkOS.Organizations.Organization.html"},{"type":"type","title":"WorkOS.Organizations.Organization.t/0","doc":"","ref":"WorkOS.Organizations.Organization.html#t:t/0"},{"type":"module","title":"WorkOS.Organizations.Organization.Domain","doc":"WorkOS Organization Domain struct.","ref":"WorkOS.Organizations.Organization.Domain.html"},{"type":"type","title":"WorkOS.Organizations.Organization.Domain.t/0","doc":"","ref":"WorkOS.Organizations.Organization.Domain.html#t:t/0"},{"type":"module","title":"WorkOS.Passwordless.Session","doc":"WorkOS Passwordless session struct.","ref":"WorkOS.Passwordless.Session.html"},{"type":"type","title":"WorkOS.Passwordless.Session.t/0","doc":"","ref":"WorkOS.Passwordless.Session.html#t:t/0"},{"type":"module","title":"WorkOS.Passwordless.Session.Send","doc":"WorkOS Send Passwordless session struct.","ref":"WorkOS.Passwordless.Session.Send.html"},{"type":"type","title":"WorkOS.Passwordless.Session.Send.t/0","doc":"","ref":"WorkOS.Passwordless.Session.Send.html#t:t/0"},{"type":"module","title":"WorkOS.Portal.Link","doc":"WorkOS Portal Link struct.","ref":"WorkOS.Portal.Link.html"},{"type":"type","title":"WorkOS.Portal.Link.t/0","doc":"","ref":"WorkOS.Portal.Link.html#t:t/0"},{"type":"module","title":"WorkOS.SSO.Connection","doc":"WorkOS Connection struct.","ref":"WorkOS.SSO.Connection.html"},{"type":"type","title":"WorkOS.SSO.Connection.t/0","doc":"","ref":"WorkOS.SSO.Connection.html#t:t/0"},{"type":"module","title":"WorkOS.SSO.Connection.Domain","doc":"WorkOS Domain Record struct.","ref":"WorkOS.SSO.Connection.Domain.html"},{"type":"type","title":"WorkOS.SSO.Connection.Domain.t/0","doc":"","ref":"WorkOS.SSO.Connection.Domain.html#t:t/0"},{"type":"module","title":"WorkOS.SSO.Profile","doc":"WorkOS Profile struct.","ref":"WorkOS.SSO.Profile.html"},{"type":"type","title":"WorkOS.SSO.Profile.t/0","doc":"","ref":"WorkOS.SSO.Profile.html#t:t/0"},{"type":"module","title":"WorkOS.SSO.ProfileAndToken","doc":"WorkOS Profile and Token struct.","ref":"WorkOS.SSO.ProfileAndToken.html"},{"type":"type","title":"WorkOS.SSO.ProfileAndToken.t/0","doc":"","ref":"WorkOS.SSO.ProfileAndToken.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.Authentication","doc":"WorkOS Authentication struct.","ref":"WorkOS.UserManagement.Authentication.html"},{"type":"type","title":"WorkOS.UserManagement.Authentication.t/0","doc":"","ref":"WorkOS.UserManagement.Authentication.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.EmailVerification.SendVerificationEmail","doc":"WorkOS Send Email struct.","ref":"WorkOS.UserManagement.EmailVerification.SendVerificationEmail.html"},{"type":"type","title":"WorkOS.UserManagement.EmailVerification.SendVerificationEmail.t/0","doc":"","ref":"WorkOS.UserManagement.EmailVerification.SendVerificationEmail.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.EmailVerification.VerifyEmail","doc":"WorkOS Verify Email Code struct.","ref":"WorkOS.UserManagement.EmailVerification.VerifyEmail.html"},{"type":"type","title":"WorkOS.UserManagement.EmailVerification.VerifyEmail.t/0","doc":"","ref":"WorkOS.UserManagement.EmailVerification.VerifyEmail.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.Invitation","doc":"WorkOS Invitation struct.","ref":"WorkOS.UserManagement.Invitation.html"},{"type":"type","title":"WorkOS.UserManagement.Invitation.t/0","doc":"","ref":"WorkOS.UserManagement.Invitation.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MagicAuth.SendMagicAuthCode","doc":"WorkOS Send Magic Auth Code struct.","ref":"WorkOS.UserManagement.MagicAuth.SendMagicAuthCode.html"},{"type":"type","title":"WorkOS.UserManagement.MagicAuth.SendMagicAuthCode.t/0","doc":"","ref":"WorkOS.UserManagement.MagicAuth.SendMagicAuthCode.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MultiFactor.AuthenticationChallenge","doc":"WorkOS Authentication Challenge struct.","ref":"WorkOS.UserManagement.MultiFactor.AuthenticationChallenge.html"},{"type":"type","title":"WorkOS.UserManagement.MultiFactor.AuthenticationChallenge.t/0","doc":"","ref":"WorkOS.UserManagement.MultiFactor.AuthenticationChallenge.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MultiFactor.AuthenticationFactor","doc":"WorkOS Authentication Factor struct.","ref":"WorkOS.UserManagement.MultiFactor.AuthenticationFactor.html"},{"type":"type","title":"WorkOS.UserManagement.MultiFactor.AuthenticationFactor.t/0","doc":"","ref":"WorkOS.UserManagement.MultiFactor.AuthenticationFactor.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MultiFactor.EnrollAuthFactor","doc":"WorkOS Enroll Auth Factor struct.","ref":"WorkOS.UserManagement.MultiFactor.EnrollAuthFactor.html"},{"type":"type","title":"WorkOS.UserManagement.MultiFactor.EnrollAuthFactor.t/0","doc":"","ref":"WorkOS.UserManagement.MultiFactor.EnrollAuthFactor.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MultiFactor.SMS","doc":"WorkOS SMS struct.","ref":"WorkOS.UserManagement.MultiFactor.SMS.html"},{"type":"type","title":"WorkOS.UserManagement.MultiFactor.SMS.t/0","doc":"","ref":"WorkOS.UserManagement.MultiFactor.SMS.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.MultiFactor.TOTP","doc":"WorkOS TOTP struct.","ref":"WorkOS.UserManagement.MultiFactor.TOTP.html"},{"type":"type","title":"WorkOS.UserManagement.MultiFactor.TOTP.t/0","doc":"","ref":"WorkOS.UserManagement.MultiFactor.TOTP.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.OrganizationMembership","doc":"WorkOS Organization Membership struct.","ref":"WorkOS.UserManagement.OrganizationMembership.html"},{"type":"type","title":"WorkOS.UserManagement.OrganizationMembership.t/0","doc":"","ref":"WorkOS.UserManagement.OrganizationMembership.html#t:t/0"},{"type":"module","title":"WorkOS.UserManagement.ResetPassword","doc":"WorkOS Reset Password struct.","ref":"WorkOS.UserManagement.ResetPassword.html"},{"type":"type","title":"WorkOS.UserManagement.ResetPassword.t/0","doc":"","ref":"WorkOS.UserManagement.ResetPassword.html#t:t/0"},{"type":"module","title":"WorkOS.Webhooks.Event","doc":"Module to represent a webhook event","ref":"WorkOS.Webhooks.Event.html"},{"type":"function","title":"WorkOS.Webhooks.Event.new/1","doc":"","ref":"WorkOS.Webhooks.Event.html#new/1"},{"type":"behaviour","title":"WorkOS.Client","doc":"WorkOS API client.","ref":"WorkOS.Client.html"},{"type":"function","title":"WorkOS.Client.delete/5","doc":"","ref":"WorkOS.Client.html#delete/5"},{"type":"function","title":"WorkOS.Client.get/4","doc":"","ref":"WorkOS.Client.html#get/4"},{"type":"function","title":"WorkOS.Client.new/1","doc":"Creates a new WorkOS client struct given a keyword list of config opts.","ref":"WorkOS.Client.html#new/1"},{"type":"function","title":"WorkOS.Client.post/5","doc":"","ref":"WorkOS.Client.html#post/5"},{"type":"function","title":"WorkOS.Client.put/5","doc":"","ref":"WorkOS.Client.html#put/5"},{"type":"callback","title":"WorkOS.Client.request/2","doc":"","ref":"WorkOS.Client.html#c:request/2"},{"type":"type","title":"WorkOS.Client.response/1","doc":"","ref":"WorkOS.Client.html#t:response/1"},{"type":"type","title":"WorkOS.Client.t/0","doc":"","ref":"WorkOS.Client.html#t:t/0"},{"type":"module","title":"WorkOS.Client.TeslaClient","doc":"Tesla client for WorkOS. This is the default HTTP client used.","ref":"WorkOS.Client.TeslaClient.html"},{"type":"function","title":"WorkOS.Client.TeslaClient.new/2","doc":"Returns a new `Tesla.Client`, configured for calling the WorkOS API.","ref":"WorkOS.Client.TeslaClient.html#new/2"},{"type":"function","title":"WorkOS.Client.TeslaClient.request/2","doc":"Sends a request to a WorkOS API endpoint, given list of request opts.","ref":"WorkOS.Client.TeslaClient.html#request/2"},{"type":"exception","title":"WorkOS.ApiKeyMissingError","doc":"Exception for when a request is made without an API key.","ref":"WorkOS.ApiKeyMissingError.html"},{"type":"exception","title":"WorkOS.ClientIdMissingError","doc":"Exception for when a request is made without a client ID.","ref":"WorkOS.ClientIdMissingError.html"},{"type":"extras","title":"Overview","doc":"# WorkOS Elixir Library\n\n> **Note:** this an experimental SDK and breaking changes may occur. We don't recommend using this in production since we can't guarantee its stability.\n\nThe WorkOS library for Elixir provides convenient access to the WorkOS API from applications written in Elixir.","ref":"readme.html"},{"type":"extras","title":"Documentation - Overview","doc":"See the [API Reference](https://workos.com/docs/reference/client-libraries) for Elixir usage examples.","ref":"readme.html#documentation"},{"type":"extras","title":"Installation - Overview","doc":"Add this package to the list of dependencies in your `mix.exs` file:\n\n```ex\ndef deps do\n  [{:workos, \"~> 1.0.0\"}]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"#","ref":"readme.html#configuration"},{"type":"extras","title":"Configure WorkOS API key & client ID on your app config - Overview","doc":"```ex\nconfig :workos, WorkOS.Client,\n      api_key: \"sk_example_123456789\",\n      client_id: \"client_123456789\"\n```\n\nThe only required config option is `:api_key` and `:client_id`. \n\nBy default, this library uses [Tesla](https://github.com/elixir-tesla/tesla) but it can be replaced via the `:client` option, according to the `WorkOS.Client` module behavior. \n\n###","ref":"readme.html#configure-workos-api-key-client-id-on-your-app-config"},{"type":"extras","title":"SDK Versioning - Overview","doc":"For our SDKs WorkOS follows a Semantic Versioning process where all releases will have a version X.Y.Z (like 1.0.0) pattern wherein Z would be a bug fix (I.e. 1.0.1), Y would be a minor release (1.1.0) and X would be a major release (2.0.0). We permit any breaking changes to only be released in major versions and strongly recommend reading changelogs before making any major version upgrades.","ref":"readme.html#sdk-versioning"},{"type":"extras","title":"More Information - Overview","doc":"- [User Management Guide](https://workos.com/docs/user-management)\n- [Single Sign-On Guide](https://workos.com/docs/sso/guide)\n- [Directory Sync Guide](https://workos.com/docs/directory-sync/guide)\n- [Admin Portal Guide](https://workos.com/docs/admin-portal/guide)\n- [Magic Link Guide](https://workos.com/docs/magic-link/guide)\n- [Domain Verification Guide](https://workos.com/docs/domain-verification/guide)","ref":"readme.html#more-information"}],"content_type":"text/markdown"}